### Method

# Camel Multipart set_boundary

#### Declaration [src]

    void
    camel_multipart_set_boundary (
      CamelMultipart* multipart,
      const gchar* boundary
    )

#### Description [src]

Sets the message boundary for `multipart` to `boundary`. This should be a string which does not occur anywhere in any of `multipart`‘s subparts. If `boundary` is `NULL`, a randomly-generated boundary will be used.

#### Parameters

`boundary`

  Type: `const gchar*`

  The message boundary, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.